# UserActivityType

Represents the type of a detected activity.

| **TRIP**       | The SDK detected the user is in a trip.                                                                                                                                                                                                                                                                |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **STATIONARY** | The SDK detected the user is in a stationary state.                                                                                                                                                                                                                                                    |
| **UNKNOWN**    | A non-active state. This state is set when internal SDK modules are still initializing or starting. It can also be set for other external reasons, such as the device location setting is turned off, location permission not granted to the app, or the SDK is not receiving accurate location fixes. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/useractivitytype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
